Skip to content

Get member coupons exemptions

POST
/api/v2.0/stores/{storeId}/members/{memberId}/coupons/exemptions
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/coupons/exemptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[ { "external_id": "example", "sku": "example", "name": "example", "brand": "example", "external_voucher_id": "example", "category": { "name": "example", "external_id": "example" }, "gtin": { "type": "Isbn", "code": "example" } } ]'
storeId
required
string
Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX
Array<object>
object
external_id

Store’s Product Id

string
nullable
sku

Product Id that identifies the product along all channels (POS, Woocommerce, Shopify, etc.)

string
nullable
name
string
nullable
brand
string
nullable
external_voucher_id
string
nullable
category
object
name
string
nullable
external_id
string
nullable
gtin

Defines the GTIN type for the global identifier code e.g. EAN, UPC, ISBN, etc.

object
type
string
Allowed values: Isbn UpcGtin12 EanGtin13
code
string
nullable

OK

Media typeapplication/json
Array<object>
object
id
integer format: int32
external_ids
Array<object>
nullable
object
platform
string
nullable
external_id

This is the ID the cupon has in the external system / platform.

string
nullable
code
required
string
>= 1 characters
status
string
nullable
title
required
string
>= 1 characters
description
string
nullable
article_number
string
nullable
valid_from
required

The startDate of the coupon

string format: date-time
valid_to
required
string format: date-time
type
required
string
Allowed values: Standard Welcome Campaign Public Recurring Birthday ChildBirthday Automation PointsToCurrency StampCard
discount_type
string
Allowed values: NotDefined Percentage Fixed FreeShipping OverridePrice
discount_value
number format: double
max_redemptions
integer format: int32
image_url
string
nullable
product_ids

DEPRECATED: This property is being phased out and should no longer be used. Please use the property ‘RedemptionRules’.

Array<string>
nullable
redemption_rules

A collection of rules that define where and how the coupon can be redeemed. Each rule specifies the applicable channel, products, and categories for coupon usage.

Array<object>
nullable

Represents a rule for coupon redemption, defining the applicable channels, products, and categories.

object
channel

The sales channel where the coupon can be redeemed. Valid values include ‘Pos’ (Point of Sale) for in-store purchases and ‘OnlineStore’ for online purchases.

string
nullable
product_ids

A list of product IDs that the coupon applies to. If specified, the coupon can only be used for these products.

Array<string>
nullable
category_ids

A list of product category IDs that the coupon applies to. If specified, the coupon can only be used for products within these categories.

Array<string>
nullable
times_redeemed
integer format: int32
exemption_rules
Array<object>
nullable
object
channel
string
nullable
product_ids
Array<string>
nullable
Example
[
{
"valid_from": "2026-09-11T12:34:49",
"valid_to": "2026-09-11T12:34:49",
"type": "Standard",
"discount_type": "NotDefined"
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}